Skip to main content

Issues: Win 7 .Net Framework 3.5 SP1 Not Installable because of previous IE9 beta install

Hi,

If you are also having issues with installing .Net Framework .35 SP1 even after enabling the features from "Turn On Windows Features" than you are in the right place.

Being a developer I installed the IE9 Beta and when windows update alerted me for updated final release browser I went for the upgrade without uninstalling the IE9 Beta.

Now I see a issues with installing plugins and softwares because they require .Net Framework 3.5 SP1 and I can't seem to install it as each time it just fails to install.

The "c:\> sfc /scannow" did found the corrupt cab files under the Internet Explorer "manifest_A197AD26-372E-4d4f-AAB9-92B5CD6B2C3A_en-us.cab" and the file is corrupted in both Program Files folder and its size differs in few kb.

I tried running command "%windir%\Microsoft.NET\Framework\v3.5\Microsoft .NET Framework 3.5\setup.exe /qb /norestart" but this alerts the folder "Microsoft .NET Framework 3.5" does not exists and in the "v3.5" folder there is no "setup.exe" either so not sure from where I am suppose to run this command.

Looking at the log "c:\> findstr /c:"[SR]" %windir%\Logs\CBS\CBS.log > sfcdetails.txt" yeilded nothing much either.

I am feeling I am running out of options but one last try is to uninstall IE9 and go back on IE8 and then see if that solves anything.

I will update this blog after some information from these steps and others. Let me know if you have any suggestions or solutions.

Thanks.

Comments

Popular posts from this blog

Completed UiPath - RPA Developer Advance Training

After a month of training, with late nights and weekends I have completed the UiPath RPA Developer Advance Training.

The Level 1 Foundation Training pretty much covered all the basics of Desktop studio and workflows, only draw back was I started with the default foundation course which was for 2016, and all document reference links where pointing to 2016 version. I didn't understand it during the foundation training and kept switching to 2018 version document/page.

Only after completing the Foundation course that I realized, I was suppose to have started with the 2018 version of Level 1 Foundation Training, but as it was optional I didn't have to retake the 2018 version, the 2016 was good enough for moving to level 2.

The Level 2 Orchestrator 2018.3 Training as good. It gave good understanding of Queue's, Jobs, and schedules and I was able to complete the level two much faster then the level 1.

The Level 3 UiPath Advanced Training was bit tough as it involved the assignme…

KB 294807 - IIS Server - PHP FastCGI 500 Error 0xfffffffe

Resolved issue today of IIS Server - PHP FastCGI 500 Error 0xfffffffe by deleting "Windows Temp" folder files.

We used Cygwin to customize some permissions of "Windows Temp" folder and after few hours the website stopped working.

The search online was giving all kinds of different solution except what I was looking for.

I was hoping the stackoverflow will have answers but even this post didn't cover the issue I was running into.
https://stackoverflow.com/questions/15302080/fastcgi-500-failure

Restarting the IIS didn't work, but deleting temp files cleared the issue, but now the problem is how long before the site will go down again?

Hope the issue is resolved for ever, if not; I will update this post later.

Grow with Google Scholarship / Udacity

Grow with Google Scholarship / Udacity

Today on Jan 11, 2018, I have received the Grow with Google Scholarship.

I am really excited because, previously I had joined Udacity to complete a Nano Degree, but due to price and family priorities, I had to abandon that goal.

Today, I feel like I am getting a second chance to give it another shot to completing my Nano Degree.